# Delete instance

`DELETE https://app.shuttleglobal.com/c/api/instances/{instance_id}`

Mark an instance as INACTIVE. This action cannot be reversed and should be used with extreme caution.

This endpoint will, with immediate effect, mark an instance as INACTIVE. While the instance may exist in the instance list as INACTIVE for up to one year, it will be inaccessible. No further instructions will be issued by the instance (including any instructions to cancel previously issued instructions, or invalidate previously generated third party credentials). Any instructions mid-way through completion will lapse (e.g., an authorized payment not yet captured).

## Authentication

- basicAuth: Basic Authentication using secret key

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `instance_id` | path | string | yes | The instance's ID (`cl_...`), or the `instance_key` you gave it. |

## Responses

### 204: Instance successfully deleted

### 401: Unauthorized

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Instance not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request DELETE \
  --url https://app.shuttleglobal.com/c/api/instances/INSTANCE_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/platform/operations/deleteinstance/